Subject: Re: tcp bw in 2.6

From: [email-masked] (Larry McVoy)
Date: Tue, 2 Oct 2007 09:49:52 -0700

On Tue, Oct 02, 2007 at 09:47:26AM -0700, Stephen Hemminger wrote:
> On Tue, 2 Oct 2007 09:25:34 -0700
> [email-masked] (Larry McVoy) wrote:
> 
> > > If the server side is the source of the data, i.e, it's transfer is a 
> > > write loop, then I get the bad behaviour.  
> > > ...
> > > So is this a bug or intentional?
> > 
> > For whatever it is worth, I believed that we used to get better performance
> > from the same hardware.  My guess is that it changed somewhere between
> > 2.6.15-1-k7 and 2.6.18-5-k7.
> 
> For the period from 2.6.15 to 2.6.18, the kernel by default enabled TCP
> Appropriate Byte Counting. This caused bad performance on applications that
> did small writes.

It's doing 1MB writes.

Is there a sockopt to turn that off?  Or /proc or something?
-- 
---
Larry McVoy                lm at bitmover.com           http://www.bitkeeper.com